Skala
Work order operations

List all work order operations

Fetches a complete list of work order operation records available in the system.

GET
/api/work_order_operations

Fetches a complete list of work order operation records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

workOrder.code?string
operation.name?string
resource.name?string
workOrder.variant.name?string
workOrder.description?string
workOrder.plannedQuantity?string
workOrder.plannedQuantity[]?array<>
workOrder.invoice.contact.name?string
plannedTime?string
plannedTime[]?array<>
regexp_status?string

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/work_order_operations"
[
  {
    "id": 0,
    "operation": {
      "id": 0,
      "name": "string"
    },
    "resource": {
      "id": 0,
      "name": "string"
    },
    "plannedTime": "string",
    "cost": "string",
    "status": "string",
    "workOrder": {
      "id": 0,
      "code": "string",
      "stock": {
        "id": 0,
        "unit": {
          "id": 0,
          "name": "string"
        },
        "trackType": "string"
      },
      "variant": {
        "id": 0,
        "stock": {
          "id": 0,
          "unit": {
            "id": 0,
            "name": "string"
          },
          "trackType": "string"
        },
        "name": "string"
      },
      "plannedQuantity": "string",
      "description": "string",
      "status": "string",
      "materials": [
        {
          "id": 0,
          "variant": {
            "id": 0,
            "stock": {
              "id": 0,
              "unit": {
                "id": 0,
                "name": "string"
              },
              "trackType": "string"
            },
            "name": "string"
          }
        }
      ],
      "invoice": {
        "id": 0,
        "contact": {
          "id": 0,
          "name": "string"
        },
        "code": "string",
        "shipmentCode": "string",
        "shipmentLink": "string",
        "tags": "string"
      }
    },
    "isActive": true,
    "notes": "string",
    "dependencies": [
      {
        "id": 0,
        "name": "string"
      }
    ],
    "isLastOperation": true,
    "totalCost": "string",
    "plannedQuantity": 0,
    "actualQuantity": 0,
    "startDate": "string",
    "endDate": "string"
  }
]